> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List regions

> Lists all [available locations](https://latitude.sh/locations). For server availability by location, please see the [Plans API](/reference/get-plans).





## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /regions
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /regions:
    get:
      tags:
        - Regions
      summary: List regions
      description: >+
        Lists all [available locations](https://latitude.sh/locations). For
        server availability by location, please see the [Plans
        API](/reference/get-plans).

      operationId: get-regions
      parameters:
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: loc_k0RyqvNvqW36X
                        type: regions
                        attributes:
                          name: Luettgen Group
                          slug: luettgen-group
                          facility: Luettgen Group
                          country:
                            name: Grant and Sons
                            slug: grant-and-sons
                          type: core
                    meta: {}
              schema:
                $ref: '#/components/schemas/regions'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.regions.list(page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Regions.Get(ctx, latitudeshgosdk.Pointer[int64](20), latitudeshgosdk.Pointer[int64](1))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Regions != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.regions.get({});

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    regions:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              attributes:
                type: object
                properties:
                  slug:
                    type: string
                  name:
                    type: string
                  country:
                    type: object
                    properties:
                      slug:
                        type: string
                      name:
                        type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````